Get Account by ID
curl --request GET \
--url https://sandbox-api.va.meridianpay.com/v1/accounts/{accountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.va.meridianpay.com/v1/accounts/{accountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.va.meridianpay.com/v1/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.va.meridianpay.com/v1/accounts/{accountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.va.meridianpay.com/v1/accounts/{accountId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.va.meridianpay.com/v1/accounts/{accountId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.va.meridianpay.com/v1/accounts/{accountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "acc_01JMERUSDRET001",
"createdAt": "2026-04-30T14:00:00Z",
"updatedAt": "2026-04-30T14:00:00Z",
"status": "ACTIVE",
"statusReason": null,
"currency": "USD",
"depositReconciliationId": "prop-ct-oak-7421",
"displayName": null,
"availableBalance": "125000.00",
"actualBalance": "125000.00",
"routingPolicy": {
"type": "RETAIN"
},
"depositInstructions": [
{
"id": "depinst_01JMERACH001",
"createdAt": "2026-04-30T14:00:00Z",
"updatedAt": "2026-04-30T14:00:00Z",
"status": "ACTIVE",
"rail": {
"type": "US.USD.ACH",
"label": "ACH"
},
"supportedCurrencies": [
"USD"
],
"fields": [
{
"key": "accountHolderName",
"label": "Account holder name",
"value": "Oak Street Holdings LLC",
"copyable": true
},
{
"key": "routingNumber",
"label": "Routing number",
"value": "123456789",
"copyable": true
},
{
"key": "accountNumber",
"label": "Account number",
"value": "1133557799",
"copyable": true
},
{
"key": "institutionName",
"label": "Institution name",
"value": "Example Bank N.A.",
"copyable": true
}
],
"disclosures": [
{
"kind": "notice",
"text": "ACH credits only."
}
]
},
{
"id": "depinst_01JMERWIRE001",
"createdAt": "2026-04-30T14:00:00Z",
"updatedAt": "2026-04-30T14:00:00Z",
"status": "ACTIVE",
"rail": {
"type": "US.USD.FEDWIRE",
"label": "Fedwire"
},
"supportedCurrencies": [
"USD"
],
"fields": [
{
"key": "accountHolderName",
"label": "Account holder name",
"value": "Oak Street Holdings LLC",
"copyable": true
},
{
"key": "routingNumber",
"label": "Fedwire routing number",
"value": "123456789",
"copyable": true
},
{
"key": "accountNumber",
"label": "Account number",
"value": "1133557799",
"copyable": true
},
{
"key": "institutionName",
"label": "Institution name",
"value": "Example Bank N.A.",
"copyable": true
},
{
"key": "institutionAddress",
"label": "Institution address",
"value": "1 Example Plaza, Springfield, IL, 62701, US",
"copyable": true
}
],
"disclosures": [
{
"kind": "notice",
"text": "Include the beneficiary account number exactly as shown."
}
]
},
{
"id": "depinst_01JMERSWIFT001",
"createdAt": "2026-04-30T14:00:00Z",
"updatedAt": "2026-04-30T14:00:00Z",
"status": "ACTIVE",
"rail": {
"type": "US.USD.SWIFT",
"label": "SWIFT"
},
"supportedCurrencies": [
"USD"
],
"fields": [
{
"key": "accountHolderName",
"label": "Account holder name",
"value": "Oak Street Holdings LLC",
"copyable": true
},
{
"key": "accountNumber",
"label": "Account number",
"value": "1133557799",
"copyable": true
},
{
"key": "bic",
"label": "SWIFT BIC",
"value": "EXMPUS33",
"copyable": true
},
{
"key": "routingNumber",
"label": "Routing number",
"value": "123456789",
"copyable": true
},
{
"key": "institutionName",
"label": "Institution name",
"value": "Example Bank N.A.",
"copyable": true
},
{
"key": "institutionAddress",
"label": "Institution address",
"value": "1 Example Plaza, Springfield, IL, 62701, US",
"copyable": true
}
],
"disclosures": [
{
"kind": "notice",
"text": "International wires may take 1-3 business days to settle."
}
]
}
]
}
Accounts
Get Account by ID
Returns the account details for the authenticated Meridian account.
GET
/
v1
/
accounts
/
{accountId}
Get Account by ID
curl --request GET \
--url https://sandbox-api.va.meridianpay.com/v1/accounts/{accountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.va.meridianpay.com/v1/accounts/{accountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.va.meridianpay.com/v1/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.va.meridianpay.com/v1/accounts/{accountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.va.meridianpay.com/v1/accounts/{accountId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox-api.va.meridianpay.com/v1/accounts/{accountId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.va.meridianpay.com/v1/accounts/{accountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "acc_01JMERUSDRET001",
"createdAt": "2026-04-30T14:00:00Z",
"updatedAt": "2026-04-30T14:00:00Z",
"status": "ACTIVE",
"statusReason": null,
"currency": "USD",
"depositReconciliationId": "prop-ct-oak-7421",
"displayName": null,
"availableBalance": "125000.00",
"actualBalance": "125000.00",
"routingPolicy": {
"type": "RETAIN"
},
"depositInstructions": [
{
"id": "depinst_01JMERACH001",
"createdAt": "2026-04-30T14:00:00Z",
"updatedAt": "2026-04-30T14:00:00Z",
"status": "ACTIVE",
"rail": {
"type": "US.USD.ACH",
"label": "ACH"
},
"supportedCurrencies": [
"USD"
],
"fields": [
{
"key": "accountHolderName",
"label": "Account holder name",
"value": "Oak Street Holdings LLC",
"copyable": true
},
{
"key": "routingNumber",
"label": "Routing number",
"value": "123456789",
"copyable": true
},
{
"key": "accountNumber",
"label": "Account number",
"value": "1133557799",
"copyable": true
},
{
"key": "institutionName",
"label": "Institution name",
"value": "Example Bank N.A.",
"copyable": true
}
],
"disclosures": [
{
"kind": "notice",
"text": "ACH credits only."
}
]
},
{
"id": "depinst_01JMERWIRE001",
"createdAt": "2026-04-30T14:00:00Z",
"updatedAt": "2026-04-30T14:00:00Z",
"status": "ACTIVE",
"rail": {
"type": "US.USD.FEDWIRE",
"label": "Fedwire"
},
"supportedCurrencies": [
"USD"
],
"fields": [
{
"key": "accountHolderName",
"label": "Account holder name",
"value": "Oak Street Holdings LLC",
"copyable": true
},
{
"key": "routingNumber",
"label": "Fedwire routing number",
"value": "123456789",
"copyable": true
},
{
"key": "accountNumber",
"label": "Account number",
"value": "1133557799",
"copyable": true
},
{
"key": "institutionName",
"label": "Institution name",
"value": "Example Bank N.A.",
"copyable": true
},
{
"key": "institutionAddress",
"label": "Institution address",
"value": "1 Example Plaza, Springfield, IL, 62701, US",
"copyable": true
}
],
"disclosures": [
{
"kind": "notice",
"text": "Include the beneficiary account number exactly as shown."
}
]
},
{
"id": "depinst_01JMERSWIFT001",
"createdAt": "2026-04-30T14:00:00Z",
"updatedAt": "2026-04-30T14:00:00Z",
"status": "ACTIVE",
"rail": {
"type": "US.USD.SWIFT",
"label": "SWIFT"
},
"supportedCurrencies": [
"USD"
],
"fields": [
{
"key": "accountHolderName",
"label": "Account holder name",
"value": "Oak Street Holdings LLC",
"copyable": true
},
{
"key": "accountNumber",
"label": "Account number",
"value": "1133557799",
"copyable": true
},
{
"key": "bic",
"label": "SWIFT BIC",
"value": "EXMPUS33",
"copyable": true
},
{
"key": "routingNumber",
"label": "Routing number",
"value": "123456789",
"copyable": true
},
{
"key": "institutionName",
"label": "Institution name",
"value": "Example Bank N.A.",
"copyable": true
},
{
"key": "institutionAddress",
"label": "Institution address",
"value": "1 Example Plaza, Springfield, IL, 62701, US",
"copyable": true
}
],
"disclosures": [
{
"kind": "notice",
"text": "International wires may take 1-3 business days to settle."
}
]
}
]
}
Authorizations
meridian-account-jwtpartner-api-key
Bearer token authentication, for client-server calls.
Send the access token issued by POST /v1/auth/token as Authorization: Bearer {token}. The token carries its own program and user context, so the X-Meridian-* headers are not required. See Authentication.
Headers
Path Parameters
Response
The account details for the authenticated account
Detailed Meridian account payload